
import 'apple_pay_platform_interface.dart';

class ApplePay {
  Future<String?> getPlatformVersion() {
    return ApplePayPlatform.instance.getPlatformVersion();
  }

  Future<Map<String, dynamic>> purchase({
    required String productId,
    String? appAccountToken,
  }) {
    return ApplePayPlatform.instance.purchase(
      productId: productId,
      appAccountToken: appAccountToken,
    );
  }

  Future<Map<String, dynamic>> restore() {
    return ApplePayPlatform.instance.restore();
  }

  Future<bool> check(String appleId) {
    return ApplePayPlatform.instance.check(appleId);
  }
}
